%define module scripttest
Name:           python-%{module}
Version:        1.3
Release:        %mkrel 23
Summary:        Helper to test command-line scripts

Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/ScriptTest/
Source0:        https://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
scripttest is a library to help you test your interactive
command-line applications.

With it you can easily run the command (in a subprocess) and see
the output (stdout, stderr) and any file modifications.

%package -n python3-%{module}
Summary:        Helper to test command-line scripts
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
scripttest is a library to help you test your interactive
command-line applications.

With it you can easily run the command (in a subprocess) and see
the output (stdout, stderr) and any file modifications.

%prep
%autosetup -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{module}

%files -n python3-%{module} -f %{pyproject_files}
%doc README*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.3-23.mga10
+ Revision: 2239130
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 1.3-22.mga10
+ Revision: 2155918
- rebuild for python3.13

* Mon Jan 29 2024 papoteur <papoteur> 1.3-21.mga10
+ Revision: 2035971
- rebuild for python 3.12

* Thu Dec 14 2023 papoteur <papoteur> 1.3-20.mga10
+ Revision: 2018076
- rebuild for python 3.12

* Sun Dec 10 2023 wally <wally> 1.3-19.mga10
+ Revision: 2016810
- rebuild for py3.12
- use pyproject rpm macros

* Wed Mar 23 2022 umeabot <umeabot> 1.3-18.mga9
+ Revision: 1823338
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 1.3-17.mga9
+ Revision: 1782670
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.3-16.mga9
+ Revision: 1732959
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.3-15.mga8
+ Revision: 1535854
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 1.3-14.mga8
+ Revision: 1452755
- BR python3-setuptools
- rebuild for python-3.8
- drop python2 subpkg

* Thu Jan 10 2019 shlomif <shlomif> 1.3-13.mga7
+ Revision: 1354351
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.3-12.mga7
+ Revision: 1290011
- Mageia 7 Mass Rebuild

* Fri May 11 2018 wally <wally> 1.3-11.mga7
+ Revision: 1228342
- fix py3 pkg provides

* Fri May 11 2018 shlomif <shlomif> 1.3-10.mga7
+ Revision: 1228335
- Add py3 package

* Wed Mar 21 2018 kekepower <kekepower> 1.3-9.mga7
+ Revision: 1211141
- Renamed python-scripttest to python2-scripttest

* Wed Feb 03 2016 umeabot <umeabot> 1.3-8.mga6
+ Revision: 933601
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3-7.mga5
+ Revision: 746777
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3-6.mga5
+ Revision: 729730
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3-5.mga5
+ Revision: 688320
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.3-3.mga4
+ Revision: 544248
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.3-2.mga4
+ Revision: 499340
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Oct 03 2013 nmartin <nmartin> 1.3-1.mga4
+ Revision: 490889
- update to new version 1.3
- clean spec

* Fri Feb 22 2013 kharec <kharec> 1.0.4-1.mga3
+ Revision: 399883
- imported package python-scripttest

